%define anolis_release 1

Name:           mod_auth_gssapi
Version:        1.6.5
Release:        %{anolis_release}%{?dist}
Summary:        A GSSAPI Authentication module for Apache
License:        MIT
URL:            https://github.com/gssapi/mod_auth_gssapi
Source0:        https://github.com/gssapi/%{name}/releases/download/v%{version}/%name-%{version}.tar.gz

BuildRequires:  httpd-devel, krb5-devel, openssl-devel
BuildRequires:  autoconf, automake, libtool, bison, flex, make

Requires:       httpd-mmn
Requires:       krb5-libs >= 1.11.5

%description
The mod_auth_gssapi module is an authentication service that implements the
SPNEGO based HTTP Authentication protocol defined in RFC4559.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
export APXS=%{_httpd_apxs}
autoreconf -fi
%configure
%make_build

%install
mkdir -p %{buildroot}%{_httpd_moddir}
install -m 755 src/.libs/%{name}.so %{buildroot}%{_httpd_moddir}
echo "LoadModule auth_gssapi_module modules/mod_auth_gssapi.so" > 10-auth_gssapi.conf
mkdir -p %{buildroot}%{_httpd_modconfdir}
install -m 644 10-auth_gssapi.conf %{buildroot}%{_httpd_modconfdir}

%generate_compatibility_deps

%files
%defattr(-,root,root)
%license COPYING
%config(noreplace) %{_httpd_modconfdir}/10-auth_gssapi.conf
%{_httpd_moddir}/mod_auth_gssapi.so
%dir %{abidir}
%{abidir}/mod_auth_gssapi.dump

%files doc
%doc README

%changelog
* Thu May 11 2023 happy_orange <songnannan@linux.alibaba.com> - 1.6.5-1
- init package
